Bug 50364 - Can't select Chinese(x2), Korean
Can't select Chinese(x2), Korean
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
All Linux
high Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-30 15:48 EDT by Nakai
Modified: 2007-03-26 23:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-09 14:19:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
korean patch for english display in TUI (3.67 KB, patch)
2001-08-09 04:47 EDT, Leon Ho
no flags Details | Diff
a better approach (10.54 KB, patch)
2001-08-09 14:18 EDT, Matt Wilson
no flags Details | Diff

  None (edit)
Description Nakai 2001-07-30 15:48:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i686)

Description of problem:
Users want to install with their language
but Chinese and Korean cannot.

We don't support Korean and Chinese text installer but
can support GUI installer with CDROM, nfs, etc.

How reproducible:
Always

Steps to Reproduce:
1. Try to choose Korean and Chinese at the start of install.
2. Oops.
3.
	

Additional info:
Comment 1 Glen Foster 2001-07-31 15:17:57 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 2 Michael Fulbright 2001-07-31 15:45:10 EDT
Unclear who owns this problem - we do not have the resources in Meridian to
support these languages.  Who in the Japanese development office can help with this?
Comment 3 Bill Nottingham 2001-07-31 15:53:39 EDT
Um, it's not exactly hard to add another entry to the language tables, is it?
Comment 4 Nakai 2001-07-31 15:58:24 EDT
Yes, right.

We do not support Chinese and Korean with Text mode installer for
Fairfax.
Comment 5 Michael Fulbright 2001-08-01 11:32:32 EDT
I don't know how hard it is, that is why I'm asking who can tell me who actually
works on support for these languages.

Its is too hard to tell me I guess its too hard to add.
Comment 6 Bill Nottingham 2001-08-01 11:44:32 EDT
I'm saying that adding a language to the table of supported languages should be
easy; it's making sure the fonts are right and getting it translated that's
the hard part, yes?
Comment 7 Nakai 2001-08-01 12:32:24 EDT
msw@redhat.com shoud know how hard this fix is.
Comment 8 Michael Fulbright 2001-08-01 14:56:35 EDT
I recommend passing 'nopass' on the boot command line for GUI NFS installs. This
is the only case it affects from what I can tell.

Comment 9 Paul Gampe 2001-08-09 00:21:11 EDT
Paul Cormier has requested we support Korean and Japanese in Fairfax.  

As kon does not include support for asian fonts other than japanese in TUI 
mode, Leon Ho has developed a workaround for anaconda that allows you to 
install the korean locale in text mode but shows the english text messages.

A good compromise with minimal impact, patch to follow.
Comment 10 Leon Ho 2001-08-09 04:47:05 EDT
Created attachment 26975 [details]
korean patch for english display in TUI
Comment 11 Leon Ho 2001-08-09 04:54:45 EDT
This is the modification for displaying english in Korean locale. There are some
cases like normat cdrom boot, different boot disk boots etc. This walkaround
should cover all these cases for TUI installation. Chinese (Traditional and
Simpilied) will have very simliar mod.
Comment 12 Matt Wilson 2001-08-09 13:01:09 EDT
This isn't the right way to go about this.  It's not generic at all.
Comment 13 Matt Wilson 2001-08-09 14:18:59 EDT
Created attachment 27093 [details]
a better approach
Comment 14 Matt Wilson 2001-08-09 14:34:42 EDT
I've committed this.
Comment 15 Paul Gampe 2001-08-09 19:40:07 EDT
Thanks Matt great job.
Comment 16 Leon Ho 2001-08-09 19:47:30 EDT
Nicely done, Matt!

Note You need to log in before you can comment on or make changes to this bug.